// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v4.25.6
// source: release_lifecycle.proto

package gen

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// ReleaseLifecycleSortableField defines enums that allow sorting a paginated
// list of ReleaseLifecycles.
type ReleaseLifecycleSortableField int32

const (
	ReleaseLifecycleSortableField_UPDATED_AT_ASC  ReleaseLifecycleSortableField = 0
	ReleaseLifecycleSortableField_UPDATED_AT_DESC ReleaseLifecycleSortableField = 1
)

// Enum value maps for ReleaseLifecycleSortableField.
var (
	ReleaseLifecycleSortableField_name = map[int32]string{
		0: "UPDATED_AT_ASC",
		1: "UPDATED_AT_DESC",
	}
	ReleaseLifecycleSortableField_value = map[string]int32{
		"UPDATED_AT_ASC":  0,
		"UPDATED_AT_DESC": 1,
	}
)

func (x ReleaseLifecycleSortableField) Enum() *ReleaseLifecycleSortableField {
	p := new(ReleaseLifecycleSortableField)
	*p = x
	return p
}

func (x ReleaseLifecycleSortableField) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ReleaseLifecycleSortableField) Descriptor() protoreflect.EnumDescriptor {
	return file_release_lifecycle_proto_enumTypes[0].Descriptor()
}

func (ReleaseLifecycleSortableField) Type() protoreflect.EnumType {
	return &file_release_lifecycle_proto_enumTypes[0]
}

func (x ReleaseLifecycleSortableField) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ReleaseLifecycleSortableField.Descriptor instead.
func (ReleaseLifecycleSortableField) EnumDescriptor() ([]byte, []int) {
	return file_release_lifecycle_proto_rawDescGZIP(), []int{0}
}

// GetReleaseLifecycleByIdRequest is the input for retrieving a ReleaseLifecycle
// by it's ID.
type GetReleaseLifecycleByIdRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetReleaseLifecycleByIdRequest) Reset() {
	*x = GetReleaseLifecycleByIdRequest{}
	mi := &file_release_lifecycle_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetReleaseLifecycleByIdRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetReleaseLifecycleByIdRequest) ProtoMessage() {}

func (x *GetReleaseLifecycleByIdRequest) ProtoReflect() protoreflect.Message {
	mi := &file_release_lifecycle_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetReleaseLifecycleByIdRequest.ProtoReflect.Descriptor instead.
func (*GetReleaseLifecycleByIdRequest) Descriptor() ([]byte, []int) {
	return file_release_lifecycle_proto_rawDescGZIP(), []int{0}
}

func (x *GetReleaseLifecycleByIdRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

// GetReleaseLifecyclesRequest is the input for retrieving a paginated list of
// ReleaseLifecycles.
type GetReleaseLifecyclesRequest struct {
	state             protoimpl.MessageState         `protogen:"open.v1"`
	OrgId             *string                        `protobuf:"bytes,1,opt,name=org_id,json=orgId,proto3,oneof" json:"org_id,omitempty"`
	Search            *string                        `protobuf:"bytes,2,opt,name=search,proto3,oneof" json:"search,omitempty"`
	PaginationOptions *PaginationOptions             `protobuf:"bytes,3,opt,name=pagination_options,json=paginationOptions,proto3,oneof" json:"pagination_options,omitempty"`
	Sort              *ReleaseLifecycleSortableField `protobuf:"varint,4,opt,name=sort,proto3,enum=martiancloud.phobos.api.releaselifecycle.ReleaseLifecycleSortableField,oneof" json:"sort,omitempty"`
	Scopes            []ScopeType                    `protobuf:"varint,5,rep,packed,name=scopes,proto3,enum=martiancloud.phobos.api.scope.ScopeType" json:"scopes,omitempty"`
	ProjectId         *string                        `protobuf:"bytes,6,opt,name=project_id,json=projectId,proto3,oneof" json:"project_id,omitempty"`
	unknownFields     protoimpl.UnknownFields
	sizeCache         protoimpl.SizeCache
}

func (x *GetReleaseLifecyclesRequest) Reset() {
	*x = GetReleaseLifecyclesRequest{}
	mi := &file_release_lifecycle_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetReleaseLifecyclesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetReleaseLifecyclesRequest) ProtoMessage() {}

func (x *GetReleaseLifecyclesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_release_lifecycle_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetReleaseLifecyclesRequest.ProtoReflect.Descriptor instead.
func (*GetReleaseLifecyclesRequest) Descriptor() ([]byte, []int) {
	return file_release_lifecycle_proto_rawDescGZIP(), []int{1}
}

func (x *GetReleaseLifecyclesRequest) GetOrgId() string {
	if x != nil && x.OrgId != nil {
		return *x.OrgId
	}
	return ""
}

func (x *GetReleaseLifecyclesRequest) GetSearch() string {
	if x != nil && x.Search != nil {
		return *x.Search
	}
	return ""
}

func (x *GetReleaseLifecyclesRequest) GetPaginationOptions() *PaginationOptions {
	if x != nil {
		return x.PaginationOptions
	}
	return nil
}

func (x *GetReleaseLifecyclesRequest) GetSort() ReleaseLifecycleSortableField {
	if x != nil && x.Sort != nil {
		return *x.Sort
	}
	return ReleaseLifecycleSortableField_UPDATED_AT_ASC
}

func (x *GetReleaseLifecyclesRequest) GetScopes() []ScopeType {
	if x != nil {
		return x.Scopes
	}
	return nil
}

func (x *GetReleaseLifecyclesRequest) GetProjectId() string {
	if x != nil && x.ProjectId != nil {
		return *x.ProjectId
	}
	return ""
}

// CreateReleaseLifecycleRequest is the input for creating a new
// ReleaseLifecycle.
type CreateReleaseLifecycleRequest struct {
	state               protoimpl.MessageState `protogen:"open.v1"`
	OrgId               *string                `protobuf:"bytes,1,opt,name=org_id,json=orgId,proto3,oneof" json:"org_id,omitempty"`
	Name                string                 `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	LifecycleTemplateId string                 `protobuf:"bytes,3,opt,name=lifecycle_template_id,json=lifecycleTemplateId,proto3" json:"lifecycle_template_id,omitempty"`
	Scope               ScopeType              `protobuf:"varint,4,opt,name=scope,proto3,enum=martiancloud.phobos.api.scope.ScopeType" json:"scope,omitempty"`
	ProjectId           *string                `protobuf:"bytes,5,opt,name=project_id,json=projectId,proto3,oneof" json:"project_id,omitempty"`
	unknownFields       protoimpl.UnknownFields
	sizeCache           protoimpl.SizeCache
}

func (x *CreateReleaseLifecycleRequest) Reset() {
	*x = CreateReleaseLifecycleRequest{}
	mi := &file_release_lifecycle_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CreateReleaseLifecycleRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateReleaseLifecycleRequest) ProtoMessage() {}

func (x *CreateReleaseLifecycleRequest) ProtoReflect() protoreflect.Message {
	mi := &file_release_lifecycle_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateReleaseLifecycleRequest.ProtoReflect.Descriptor instead.
func (*CreateReleaseLifecycleRequest) Descriptor() ([]byte, []int) {
	return file_release_lifecycle_proto_rawDescGZIP(), []int{2}
}

func (x *CreateReleaseLifecycleRequest) GetOrgId() string {
	if x != nil && x.OrgId != nil {
		return *x.OrgId
	}
	return ""
}

func (x *CreateReleaseLifecycleRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *CreateReleaseLifecycleRequest) GetLifecycleTemplateId() string {
	if x != nil {
		return x.LifecycleTemplateId
	}
	return ""
}

func (x *CreateReleaseLifecycleRequest) GetScope() ScopeType {
	if x != nil {
		return x.Scope
	}
	return ScopeType_GLOBAL
}

func (x *CreateReleaseLifecycleRequest) GetProjectId() string {
	if x != nil && x.ProjectId != nil {
		return *x.ProjectId
	}
	return ""
}

// UpdateReleaseLifecycleRequest is the input for updating an existing
// ReleaseLifecycle.
type UpdateReleaseLifecycleRequest struct {
	state               protoimpl.MessageState `protogen:"open.v1"`
	Id                  string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	LifecycleTemplateId string                 `protobuf:"bytes,2,opt,name=lifecycle_template_id,json=lifecycleTemplateId,proto3" json:"lifecycle_template_id,omitempty"`
	unknownFields       protoimpl.UnknownFields
	sizeCache           protoimpl.SizeCache
}

func (x *UpdateReleaseLifecycleRequest) Reset() {
	*x = UpdateReleaseLifecycleRequest{}
	mi := &file_release_lifecycle_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *UpdateReleaseLifecycleRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateReleaseLifecycleRequest) ProtoMessage() {}

func (x *UpdateReleaseLifecycleRequest) ProtoReflect() protoreflect.Message {
	mi := &file_release_lifecycle_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateReleaseLifecycleRequest.ProtoReflect.Descriptor instead.
func (*UpdateReleaseLifecycleRequest) Descriptor() ([]byte, []int) {
	return file_release_lifecycle_proto_rawDescGZIP(), []int{3}
}

func (x *UpdateReleaseLifecycleRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *UpdateReleaseLifecycleRequest) GetLifecycleTemplateId() string {
	if x != nil {
		return x.LifecycleTemplateId
	}
	return ""
}

// DeleteReleaseLifecycleRequest is the input for deleting an existing
// ReleaseLifecycle.
type DeleteReleaseLifecycleRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Version       *string                `protobuf:"bytes,2,opt,name=version,proto3,oneof" json:"version,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DeleteReleaseLifecycleRequest) Reset() {
	*x = DeleteReleaseLifecycleRequest{}
	mi := &file_release_lifecycle_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DeleteReleaseLifecycleRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteReleaseLifecycleRequest) ProtoMessage() {}

func (x *DeleteReleaseLifecycleRequest) ProtoReflect() protoreflect.Message {
	mi := &file_release_lifecycle_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteReleaseLifecycleRequest.ProtoReflect.Descriptor instead.
func (*DeleteReleaseLifecycleRequest) Descriptor() ([]byte, []int) {
	return file_release_lifecycle_proto_rawDescGZIP(), []int{4}
}

func (x *DeleteReleaseLifecycleRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *DeleteReleaseLifecycleRequest) GetVersion() string {
	if x != nil && x.Version != nil {
		return *x.Version
	}
	return ""
}

// ReleaseLifecycle defines a container that houses resources within Phobos.
type ReleaseLifecycle struct {
	state               protoimpl.MessageState `protogen:"open.v1"`
	Metadata            *ResourceMetadata      `protobuf:"bytes,1,opt,name=metadata,proto3" json:"metadata,omitempty"`
	Name                string                 `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	CreatedBy           string                 `protobuf:"bytes,3,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
	OrgId               string                 `protobuf:"bytes,4,opt,name=org_id,json=orgId,proto3" json:"org_id,omitempty"`
	LifecycleTemplateId string                 `protobuf:"bytes,5,opt,name=lifecycle_template_id,json=lifecycleTemplateId,proto3" json:"lifecycle_template_id,omitempty"`
	Scope               string                 `protobuf:"bytes,6,opt,name=scope,proto3" json:"scope,omitempty"`
	ProjectId           *string                `protobuf:"bytes,7,opt,name=project_id,json=projectId,proto3,oneof" json:"project_id,omitempty"`
	unknownFields       protoimpl.UnknownFields
	sizeCache           protoimpl.SizeCache
}

func (x *ReleaseLifecycle) Reset() {
	*x = ReleaseLifecycle{}
	mi := &file_release_lifecycle_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ReleaseLifecycle) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReleaseLifecycle) ProtoMessage() {}

func (x *ReleaseLifecycle) ProtoReflect() protoreflect.Message {
	mi := &file_release_lifecycle_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReleaseLifecycle.ProtoReflect.Descriptor instead.
func (*ReleaseLifecycle) Descriptor() ([]byte, []int) {
	return file_release_lifecycle_proto_rawDescGZIP(), []int{5}
}

func (x *ReleaseLifecycle) GetMetadata() *ResourceMetadata {
	if x != nil {
		return x.Metadata
	}
	return nil
}

func (x *ReleaseLifecycle) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *ReleaseLifecycle) GetCreatedBy() string {
	if x != nil {
		return x.CreatedBy
	}
	return ""
}

func (x *ReleaseLifecycle) GetOrgId() string {
	if x != nil {
		return x.OrgId
	}
	return ""
}

func (x *ReleaseLifecycle) GetLifecycleTemplateId() string {
	if x != nil {
		return x.LifecycleTemplateId
	}
	return ""
}

func (x *ReleaseLifecycle) GetScope() string {
	if x != nil {
		return x.Scope
	}
	return ""
}

func (x *ReleaseLifecycle) GetProjectId() string {
	if x != nil && x.ProjectId != nil {
		return *x.ProjectId
	}
	return ""
}

// GetReleaseLifecyclesResponse is the paginated list of ReleaseLifecycles
type GetReleaseLifecyclesResponse struct {
	state             protoimpl.MessageState `protogen:"open.v1"`
	PageInfo          *PageInfo              `protobuf:"bytes,1,opt,name=page_info,json=pageInfo,proto3" json:"page_info,omitempty"`
	ReleaseLifecycles []*ReleaseLifecycle    `protobuf:"bytes,2,rep,name=release_lifecycles,json=releaseLifecycles,proto3" json:"release_lifecycles,omitempty"`
	unknownFields     protoimpl.UnknownFields
	sizeCache         protoimpl.SizeCache
}

func (x *GetReleaseLifecyclesResponse) Reset() {
	*x = GetReleaseLifecyclesResponse{}
	mi := &file_release_lifecycle_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetReleaseLifecyclesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetReleaseLifecyclesResponse) ProtoMessage() {}

func (x *GetReleaseLifecyclesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_release_lifecycle_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetReleaseLifecyclesResponse.ProtoReflect.Descriptor instead.
func (*GetReleaseLifecyclesResponse) Descriptor() ([]byte, []int) {
	return file_release_lifecycle_proto_rawDescGZIP(), []int{6}
}

func (x *GetReleaseLifecyclesResponse) GetPageInfo() *PageInfo {
	if x != nil {
		return x.PageInfo
	}
	return nil
}

func (x *GetReleaseLifecyclesResponse) GetReleaseLifecycles() []*ReleaseLifecycle {
	if x != nil {
		return x.ReleaseLifecycles
	}
	return nil
}

var File_release_lifecycle_proto protoreflect.FileDescriptor

var file_release_lifecycle_proto_rawDesc = string([]byte{
	0x0a, 0x17, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x5f, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79,
	0x63, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x28, 0x6d, 0x61, 0x72, 0x74, 0x69,
	0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79,
	0x63, 0x6c, 0x65, 0x1a, 0x0e, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x10, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x0b, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x1b, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22,
	0x30, 0x0a, 0x1e, 0x47, 0x65, 0x74, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c, 0x69, 0x66,
	0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x42, 0x79, 0x49, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69,
	0x64, 0x22, 0xce, 0x03, 0x0a, 0x1b, 0x47, 0x65, 0x74, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65,
	0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x1a, 0x0a, 0x06, 0x6f, 0x72, 0x67, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x48, 0x00, 0x52, 0x05, 0x6f, 0x72, 0x67, 0x49, 0x64, 0x88, 0x01, 0x01, 0x12, 0x1b, 0x0a,
	0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x01, 0x52,
	0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x88, 0x01, 0x01, 0x12, 0x69, 0x0a, 0x12, 0x70, 0x61,
	0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x35, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69,
	0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x48, 0x02, 0x52,
	0x11, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4f, 0x70, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x88, 0x01, 0x01, 0x12, 0x60, 0x0a, 0x04, 0x73, 0x6f, 0x72, 0x74, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x47, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f,
	0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65,
	0x6c, 0x65, 0x61, 0x73, 0x65, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x2e, 0x52,
	0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x53,
	0x6f, 0x72, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x48, 0x03, 0x52, 0x04,
	0x73, 0x6f, 0x72, 0x74, 0x88, 0x01, 0x01, 0x12, 0x40, 0x0a, 0x06, 0x73, 0x63, 0x6f, 0x70, 0x65,
	0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x28, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61,
	0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x2e, 0x53, 0x63, 0x6f, 0x70, 0x65, 0x54, 0x79, 0x70,
	0x65, 0x52, 0x06, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x73, 0x12, 0x22, 0x0a, 0x0a, 0x70, 0x72, 0x6f,
	0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x48, 0x04, 0x52,
	0x09, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x49, 0x64, 0x88, 0x01, 0x01, 0x42, 0x09, 0x0a,
	0x07, 0x5f, 0x6f, 0x72, 0x67, 0x5f, 0x69, 0x64, 0x42, 0x09, 0x0a, 0x07, 0x5f, 0x73, 0x65, 0x61,
	0x72, 0x63, 0x68, 0x42, 0x15, 0x0a, 0x13, 0x5f, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x42, 0x07, 0x0a, 0x05, 0x5f, 0x73,
	0x6f, 0x72, 0x74, 0x42, 0x0d, 0x0a, 0x0b, 0x5f, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f,
	0x69, 0x64, 0x22, 0x81, 0x02, 0x0a, 0x1d, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x6c,
	0x65, 0x61, 0x73, 0x65, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x1a, 0x0a, 0x06, 0x6f, 0x72, 0x67, 0x5f, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x05, 0x6f, 0x72, 0x67, 0x49, 0x64, 0x88, 0x01, 0x01,
	0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x6e, 0x61, 0x6d, 0x65, 0x12, 0x32, 0x0a, 0x15, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c,
	0x65, 0x5f, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x13, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x54, 0x65,
	0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x49, 0x64, 0x12, 0x3e, 0x0a, 0x05, 0x73, 0x63, 0x6f, 0x70,
	0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x28, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61,
	0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x2e, 0x53, 0x63, 0x6f, 0x70, 0x65, 0x54, 0x79, 0x70,
	0x65, 0x52, 0x05, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x12, 0x22, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a,
	0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x48, 0x01, 0x52, 0x09,
	0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x49, 0x64, 0x88, 0x01, 0x01, 0x42, 0x09, 0x0a, 0x07,
	0x5f, 0x6f, 0x72, 0x67, 0x5f, 0x69, 0x64, 0x42, 0x0d, 0x0a, 0x0b, 0x5f, 0x70, 0x72, 0x6f, 0x6a,
	0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x22, 0x63, 0x0a, 0x1d, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x32, 0x0a, 0x15, 0x6c, 0x69, 0x66, 0x65, 0x63,
	0x79, 0x63, 0x6c, 0x65, 0x5f, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x5f, 0x69, 0x64,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x13, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c,
	0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x49, 0x64, 0x22, 0x5a, 0x0a, 0x1d, 0x44,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c, 0x69, 0x66, 0x65,
	0x63, 0x79, 0x63, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1d, 0x0a, 0x07,
	0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52,
	0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x88, 0x01, 0x01, 0x42, 0x0a, 0x0a, 0x08, 0x5f,
	0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x22, 0xa9, 0x02, 0x0a, 0x10, 0x52, 0x65, 0x6c, 0x65,
	0x61, 0x73, 0x65, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x12, 0x4e, 0x0a, 0x08,
	0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x32,
	0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68,
	0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74,
	0x61, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61,
	0x74, 0x61, 0x52, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x12, 0x12, 0x0a, 0x04,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65,
	0x12, 0x1d, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x12,
	0x15, 0x0a, 0x06, 0x6f, 0x72, 0x67, 0x5f, 0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x05, 0x6f, 0x72, 0x67, 0x49, 0x64, 0x12, 0x32, 0x0a, 0x15, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79,
	0x63, 0x6c, 0x65, 0x5f, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x5f, 0x69, 0x64, 0x18,
	0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x13, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65,
	0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x49, 0x64, 0x12, 0x14, 0x0a, 0x05, 0x73, 0x63,
	0x6f, 0x70, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x73, 0x63, 0x6f, 0x70, 0x65,
	0x12, 0x22, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x07,
	0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x49,
	0x64, 0x88, 0x01, 0x01, 0x42, 0x0d, 0x0a, 0x0b, 0x5f, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74,
	0x5f, 0x69, 0x64, 0x22, 0xd4, 0x01, 0x0a, 0x1c, 0x47, 0x65, 0x74, 0x52, 0x65, 0x6c, 0x65, 0x61,
	0x73, 0x65, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x49, 0x0a, 0x09, 0x70, 0x61, 0x67, 0x65, 0x5f, 0x69, 0x6e, 0x66,
	0x6f, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61,
	0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67,
	0x65, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x08, 0x70, 0x61, 0x67, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x12,
	0x69, 0x0a, 0x12, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x5f, 0x6c, 0x69, 0x66, 0x65, 0x63,
	0x79, 0x63, 0x6c, 0x65, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x3a, 0x2e, 0x6d, 0x61,
	0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f,
	0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x6c, 0x69, 0x66,
	0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x2e, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c, 0x69,
	0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x52, 0x11, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65,
	0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x73, 0x2a, 0x48, 0x0a, 0x1d, 0x52, 0x65,
	0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x53, 0x6f,
	0x72, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x12, 0x12, 0x0a, 0x0e, 0x55,
	0x50, 0x44, 0x41, 0x54, 0x45, 0x44, 0x5f, 0x41, 0x54, 0x5f, 0x41, 0x53, 0x43, 0x10, 0x00, 0x12,
	0x13, 0x0a, 0x0f, 0x55, 0x50, 0x44, 0x41, 0x54, 0x45, 0x44, 0x5f, 0x41, 0x54, 0x5f, 0x44, 0x45,
	0x53, 0x43, 0x10, 0x01, 0x32, 0xa2, 0x06, 0x0a, 0x11, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65,
	0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x73, 0x12, 0xa1, 0x01, 0x0a, 0x17, 0x47,
	0x65, 0x74, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63,
	0x6c, 0x65, 0x42, 0x79, 0x49, 0x44, 0x12, 0x48, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c,
	0x65, 0x2e, 0x47, 0x65, 0x74, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c, 0x69, 0x66, 0x65,
	0x63, 0x79, 0x63, 0x6c, 0x65, 0x42, 0x79, 0x49, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x3a, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e,
	0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61,
	0x73, 0x65, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x2e, 0x52, 0x65, 0x6c, 0x65,
	0x61, 0x73, 0x65, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x22, 0x00, 0x12, 0xa7,
	0x01, 0x0a, 0x14, 0x47, 0x65, 0x74, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c, 0x69, 0x66,
	0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x73, 0x12, 0x45, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61,
	0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63,
	0x6c, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c, 0x69, 0x66,
	0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x46,
	0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68,
	0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65,
	0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x52, 0x65, 0x6c,
	0x65, 0x61, 0x73, 0x65, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x73, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x9f, 0x01, 0x0a, 0x16, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79,
	0x63, 0x6c, 0x65, 0x12, 0x47, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f,
	0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65,
	0x6c, 0x65, 0x61, 0x73, 0x65, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x2e, 0x43,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c, 0x69, 0x66, 0x65,
	0x63, 0x79, 0x63, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x3a, 0x2e, 0x6d,
	0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62,
	0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x6c, 0x69,
	0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x2e, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c,
	0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x22, 0x00, 0x12, 0x9f, 0x01, 0x0a, 0x16, 0x55,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c, 0x69, 0x66, 0x65,
	0x63, 0x79, 0x63, 0x6c, 0x65, 0x12, 0x47, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65,
	0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c, 0x69,
	0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x3a,
	0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68,
	0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65,
	0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x2e, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73,
	0x65, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x22, 0x00, 0x12, 0x7b, 0x0a, 0x16,
	0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c, 0x69, 0x66,
	0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x12, 0x47, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c,
	0x65, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x4c,
	0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x22, 0x00, 0x42, 0x47, 0x5a, 0x45, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x2d, 0x63, 0x6c,
	0x6f, 0x75, 0x64, 0x2f, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x2d, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2f, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2f, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2d,
	0x61, 0x70, 0x69, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x67,
	0x65, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
})

var (
	file_release_lifecycle_proto_rawDescOnce sync.Once
	file_release_lifecycle_proto_rawDescData []byte
)

func file_release_lifecycle_proto_rawDescGZIP() []byte {
	file_release_lifecycle_proto_rawDescOnce.Do(func() {
		file_release_lifecycle_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_release_lifecycle_proto_rawDesc), len(file_release_lifecycle_proto_rawDesc)))
	})
	return file_release_lifecycle_proto_rawDescData
}

var file_release_lifecycle_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_release_lifecycle_proto_msgTypes = make([]protoimpl.MessageInfo, 7)
var file_release_lifecycle_proto_goTypes = []any{
	(ReleaseLifecycleSortableField)(0),     // 0: martiancloud.phobos.api.releaselifecycle.ReleaseLifecycleSortableField
	(*GetReleaseLifecycleByIdRequest)(nil), // 1: martiancloud.phobos.api.releaselifecycle.GetReleaseLifecycleByIdRequest
	(*GetReleaseLifecyclesRequest)(nil),    // 2: martiancloud.phobos.api.releaselifecycle.GetReleaseLifecyclesRequest
	(*CreateReleaseLifecycleRequest)(nil),  // 3: martiancloud.phobos.api.releaselifecycle.CreateReleaseLifecycleRequest
	(*UpdateReleaseLifecycleRequest)(nil),  // 4: martiancloud.phobos.api.releaselifecycle.UpdateReleaseLifecycleRequest
	(*DeleteReleaseLifecycleRequest)(nil),  // 5: martiancloud.phobos.api.releaselifecycle.DeleteReleaseLifecycleRequest
	(*ReleaseLifecycle)(nil),               // 6: martiancloud.phobos.api.releaselifecycle.ReleaseLifecycle
	(*GetReleaseLifecyclesResponse)(nil),   // 7: martiancloud.phobos.api.releaselifecycle.GetReleaseLifecyclesResponse
	(*PaginationOptions)(nil),              // 8: martiancloud.phobos.api.pagination.PaginationOptions
	(ScopeType)(0),                         // 9: martiancloud.phobos.api.scope.ScopeType
	(*ResourceMetadata)(nil),               // 10: martiancloud.phobos.api.metadata.ResourceMetadata
	(*PageInfo)(nil),                       // 11: martiancloud.phobos.api.pagination.PageInfo
	(*emptypb.Empty)(nil),                  // 12: google.protobuf.Empty
}
var file_release_lifecycle_proto_depIdxs = []int32{
	8,  // 0: martiancloud.phobos.api.releaselifecycle.GetReleaseLifecyclesRequest.pagination_options:type_name -> martiancloud.phobos.api.pagination.PaginationOptions
	0,  // 1: martiancloud.phobos.api.releaselifecycle.GetReleaseLifecyclesRequest.sort:type_name -> martiancloud.phobos.api.releaselifecycle.ReleaseLifecycleSortableField
	9,  // 2: martiancloud.phobos.api.releaselifecycle.GetReleaseLifecyclesRequest.scopes:type_name -> martiancloud.phobos.api.scope.ScopeType
	9,  // 3: martiancloud.phobos.api.releaselifecycle.CreateReleaseLifecycleRequest.scope:type_name -> martiancloud.phobos.api.scope.ScopeType
	10, // 4: martiancloud.phobos.api.releaselifecycle.ReleaseLifecycle.metadata:type_name -> martiancloud.phobos.api.metadata.ResourceMetadata
	11, // 5: martiancloud.phobos.api.releaselifecycle.GetReleaseLifecyclesResponse.page_info:type_name -> martiancloud.phobos.api.pagination.PageInfo
	6,  // 6: martiancloud.phobos.api.releaselifecycle.GetReleaseLifecyclesResponse.release_lifecycles:type_name -> martiancloud.phobos.api.releaselifecycle.ReleaseLifecycle
	1,  // 7: martiancloud.phobos.api.releaselifecycle.ReleaseLifecycles.GetReleaseLifecycleByID:input_type -> martiancloud.phobos.api.releaselifecycle.GetReleaseLifecycleByIdRequest
	2,  // 8: martiancloud.phobos.api.releaselifecycle.ReleaseLifecycles.GetReleaseLifecycles:input_type -> martiancloud.phobos.api.releaselifecycle.GetReleaseLifecyclesRequest
	3,  // 9: martiancloud.phobos.api.releaselifecycle.ReleaseLifecycles.CreateReleaseLifecycle:input_type -> martiancloud.phobos.api.releaselifecycle.CreateReleaseLifecycleRequest
	4,  // 10: martiancloud.phobos.api.releaselifecycle.ReleaseLifecycles.UpdateReleaseLifecycle:input_type -> martiancloud.phobos.api.releaselifecycle.UpdateReleaseLifecycleRequest
	5,  // 11: martiancloud.phobos.api.releaselifecycle.ReleaseLifecycles.DeleteReleaseLifecycle:input_type -> martiancloud.phobos.api.releaselifecycle.DeleteReleaseLifecycleRequest
	6,  // 12: martiancloud.phobos.api.releaselifecycle.ReleaseLifecycles.GetReleaseLifecycleByID:output_type -> martiancloud.phobos.api.releaselifecycle.ReleaseLifecycle
	7,  // 13: martiancloud.phobos.api.releaselifecycle.ReleaseLifecycles.GetReleaseLifecycles:output_type -> martiancloud.phobos.api.releaselifecycle.GetReleaseLifecyclesResponse
	6,  // 14: martiancloud.phobos.api.releaselifecycle.ReleaseLifecycles.CreateReleaseLifecycle:output_type -> martiancloud.phobos.api.releaselifecycle.ReleaseLifecycle
	6,  // 15: martiancloud.phobos.api.releaselifecycle.ReleaseLifecycles.UpdateReleaseLifecycle:output_type -> martiancloud.phobos.api.releaselifecycle.ReleaseLifecycle
	12, // 16: martiancloud.phobos.api.releaselifecycle.ReleaseLifecycles.DeleteReleaseLifecycle:output_type -> google.protobuf.Empty
	12, // [12:17] is the sub-list for method output_type
	7,  // [7:12] is the sub-list for method input_type
	7,  // [7:7] is the sub-list for extension type_name
	7,  // [7:7] is the sub-list for extension extendee
	0,  // [0:7] is the sub-list for field type_name
}

func init() { file_release_lifecycle_proto_init() }
func file_release_lifecycle_proto_init() {
	if File_release_lifecycle_proto != nil {
		return
	}
	file_metadata_proto_init()
	file_pagination_proto_init()
	file_scope_proto_init()
	file_release_lifecycle_proto_msgTypes[1].OneofWrappers = []any{}
	file_release_lifecycle_proto_msgTypes[2].OneofWrappers = []any{}
	file_release_lifecycle_proto_msgTypes[4].OneofWrappers = []any{}
	file_release_lifecycle_proto_msgTypes[5].OneofWrappers = []any{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_release_lifecycle_proto_rawDesc), len(file_release_lifecycle_proto_rawDesc)),
			NumEnums:      1,
			NumMessages:   7,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_release_lifecycle_proto_goTypes,
		DependencyIndexes: file_release_lifecycle_proto_depIdxs,
		EnumInfos:         file_release_lifecycle_proto_enumTypes,
		MessageInfos:      file_release_lifecycle_proto_msgTypes,
	}.Build()
	File_release_lifecycle_proto = out.File
	file_release_lifecycle_proto_goTypes = nil
	file_release_lifecycle_proto_depIdxs = nil
}
